> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/12/client-interfaces/the-information-schema/constraint_column_usage.md).

# 36.18. constraint\_column\_usage

The view `constraint_column_usage` identifies all columns in the current database that are used by some constraint. Only those columns are shown that are contained in a table owned by a currently enabled role. For a check constraint, this view identifies the columns that are used in the check expression. For a foreign key constraint, this view identifies the columns that the foreign key references. For a unique or primary key constraint, this view identifies the constrained columns.

## **Table 36.16. `constraint_column_usage` Columns**

| Name                 | Data Type        | Description                                                                                                                         |
| -------------------- | ---------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| `table_catalog`      | `sql_identifier` | Name of the database that contains the table that contains the column that is used by some constraint (always the current database) |
| `table_schema`       | `sql_identifier` | Name of the schema that contains the table that contains the column that is used by some constraint                                 |
| `table_name`         | `sql_identifier` | Name of the table that contains the column that is used by some constraint                                                          |
| `column_name`        | `sql_identifier` | Name of the column that is used by some constraint                                                                                  |
| `constraint_catalog` | `sql_identifier` | Name of the database that contains the constraint (always the current database)                                                     |
| `constraint_schema`  | `sql_identifier` | Name of the schema that contains the constraint                                                                                     |
| `constraint_name`    | `sql_identifier` | Name of the constraint                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/12/client-interfaces/the-information-schema/constraint_column_usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
